<?php
	$StrNom=V($_POST['TxtNom']);
//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}		
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrNom=gs("car_nombre","cargos","id_cargo=$Id");		
		$LStrFoc="document.getElementById('TxtNom').focus();";		
	}	
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){
		if(GetC("cargos","car_nombre='$StrNom'")>0){
			$LStrMsg="Nombre del cargo ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			$Id=GenId("id_cargo","cargos");
			$s="INSERT INTO cargos VALUES ($Id,'$StrNom')";
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
			$StrObs="";
		}
	}
	if($StrCmd=="M"){
		if(GetC("cargos","car_nombre='$StrNom' AND id_cargo<>$StrId")>0){
			$LStrMsg="Nombre del cargo ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}		
		if(strlen($StrGT)==0){
			$s="UPDATE cargos SET car_nombre='$StrNom'
				WHERE id_cargo=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
		}
	}
	if($StrCmd=="E"){
		
		if(GetC("personal","per_id_cargo=$StrId")>0){
			$LStrMsg="El presente registro esta	relacionado a uno mas personales";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";			
		}
		
		if(strlen($StrGT)==0){
			$s="DELETE FROM cargos WHERE id_cargo=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Registro Eliminado";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrId="";
			$StrNom="";
		}		
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtNom').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}
?>